
















                                        FLUSH:   A USER'S  MANUAL

                                                    by

                                              Michael Fuerst













                                  Copyright 1987     All Rights Reserved


















              Although reasonable precautions have been taken to insure that (i) the
         information presented herein accurately describes the computer program with
         which it's intended to be used, and (ii) the computer program produces results
         free from errors, no guarantees of such can be made.  Also, no warranties are
         made, whether expressed or implied.  Liability of the seller and author will be
         limited exclusively to product replacement and refund of purchase price.


              However, if any problems or questions concerning the documentation or the
         program arise, or if you have suggestions for improvements, please contact the
         seller or the author.  The author will try to respond and/or repair the program
         as quickly as possible.


              You may not distribute or duplicate printed copies of this documentation
         without the author's  permission.  You may make backup copies of the software
         to protect your investment, but you may not otherwise copy or distribute the
         program without the author's permission.

              However, you may freely distribute copies of the manual on diskette, and
         the demonstration version of the program on such diskettes.  The demonstration
         version can handle no more than 15 conduits, while the full program can handle
         a minimum of 500 pipes and 500 nodes, depending on the version.



                                                  Michael Fuerst
                                                  Gedanken Software
                                                  802 North Broadway
                                                  Urbana, Illinois 61801


                                       TABLE OF CONTENTS

                                                                                     Page

             1  GENERAL INFORMATION                                                   1-1

             2  PROGRAM INPUTS  AND CALCULATIONS                                      2-1
                2.1  Physical Information                                             2-1
                2.2  Flow information                                                 2-3
                2.3  Analysis Options                                                 2-4
                2.4  Peaking Factors                                                  2-5
                2.5  Redesign Criteria                                                2-5
                2.6  Manning Equation                                                 2-7

             3  DATA PREPARATION  FOR FLUSH                                           3-1
                3.1  Header, Title, Units and Slope/Invert Designation                3-1
                3.2  Subsystem defaults                                               3-5
                3.3  Peaking factors                                                  3-6
                3.4  Redesign Criteria                                                3-6
                3.5  Conduit Descriptions                                             3-7
                3.6  Creating and Updating a Data File                                3-9

             4 USING FLUSH                                                            4-1
                4.1  General Procedures                                               4-1
                4.2  Summary of Permitted Commands                                   4-11
                4.3  Detailed Command Descriptions                                   4-12
                    4.3.1   ADD                                                      4-13
                    4.3.2   BATCH                                                    4-14
                    4.3.3   CANCEL                                                   4-14
                    4.3.4   DELETE                                                   4-14
                    4.3.5   ERROR                                                    4-14
                    4.3.6   FPC   INFILTRATION   MANNING                             4-17
                    4.3.7   HALT                                                     4-18
                    4.3.8   HELP                                                     4-18
                    4.3.9   LIST                                                     4-19
                    4.3.10  NOVERBOSE                                                4-21
                    4.3.11  REVISE                                                   4-22
                    4.3.12  RUN                                                      4-23
                    4.3.13  STORE                                                    4-24
                    4.3.14  TITLE                                                    4-24
                    4.3.15  VERBOSE                                                  4-24


                                       FIGURES AND TABLES
                                                                                     Page

                Figure 1       Permitted Cross Sections                               2-2
                Figure 2       Population - Peaking Factor Curve                      2-6
                Figure 3       Sample System Configuration                            3-2
                Table 1        Input Data for Sample Problem                          3-3
                Figure 4       Input Data File for Sample File                        3-4
                Figures 5a-h   FLUSH Interactive Session                      4-3 to 4-10
                Figures 6a-b   BATCH Output for Sample Problem               4-15 to 4-16


             1  GENERAL INFORMATION


                 The computer program FLUSH enables engineers and planners to determine the

             adequacy of an existing or proposed gravity flow sanitary sewer collection

             system, or the adequacy of proposed design changes to such a system.  Data

             input includes the description of the flows into the system (both waste and

             infiltration), and of the physical description of the system.  Average dry

             weather, maximum dry weather or maximum wet weather flow can be simulated

             through input of population dependent peaking factors.  When analyzing a

             collection system, FLUSH calculates (1) the flow each conduit must carry under

             the specified conditions, (2) the capacity of each conduit, (3) the percentage

             by which the conduit's cross-section dimensions would have to be increased so

             the flow does not exceed a designated fraction of the capacity or depth of

             flow, and (4) the velocity in the original or redesigned conduit.


                 FLUSH is an interactive program with its own command language.  Users may

             generate full or partial listings of the data, make necessary revisions and

             perform analyses while working on a microcomputer.  Full or partial output

             results can be generated.  Full listing of input and output results can be

             directed to an attached printer.


















                                               1-1


             2  PROGRAM INPUTS  AND CALCULATIONS


                  FLUSH views a sanitary sewage collection system as one or more tree-like

             networks of collection conduits.  Tree-like implies that the network contains

             no loops.  FLUSH process collection systems containing no more than 500 nodes

             (manholes) and no more than 20 unconnected tree-like networks.  This chapter

             describes the FLUSH's data requirements and calcualtion procedures.


             2.1  Physical Information

                  Each conduit requires the following physical description information:

             (i) Subsystem number, an integer from 1 to 20

                  Default values of Manning coefficient, flow per capita and
                  infiltration rates may be associated with conduits in a specific
                  subsystem.  Also when using FLUSH is used interactively, output or
                  listings of conduits from a specific subsystem can be requested.

             (ii) Upstream and downstream node (i.e., manhole) names

                  Node or manhole names may consist of up 8 alphanumeric characters.  Any
                  node or manhole may be the upstream manhole for only one conduit, although
                  two or more conduits may share the same downstream manhole.

             (iii) Either
                  Upstream and downstream invert elevations in feet or meters, or
                  Slope of the conduit
                  (These are not mixed, either one or the other is used for all
                  conduits in the system.)

             (iv) Downstream invert elevation in feet or meters

             (v) Manning coefficient value

             (vi) Length in feet or meters

             (vii) Shape of conduit cross-section denoted by one of the following:
                         CIRC    Circular conduit
                         RECT    Rectangular
                         OBLO    Oblong
                         TRAP    Trapezoidal
                         TRIA    Triangular
                         HORS    Horseshoe

             (viii) One to three dimensions (in. or cm.) of the cross-section.  Figure 1
             illustrates the required dimensions for each cross-section type.


                                               2-1


          Figure 1



                   Figure 1 shows the various cross sections, and cannot
                      be duplicated in text.   But here is a description of
                      several cross section types and their dimensions:

                                   1st dimension    2nd dimension     3rd dimension

                   Circular          diameter

                   Rectangular       base            height

                   Trapezoidal       height          bottom width     top width

                   Triangular        height          base
                    (like an upside
                     down triangle)




































                                           2-2


             2.2 Flow information


                  All flow entering a conduit (whether generated along the conduit or from

             upstream conduits)  is assumed to enter the conduit at its upstream node, an

             adequate assumption  for the purposes of FLUSH.  Note that metrIc or English

             units may be used.  The folowing may be specified.

             (i)   Inflow constant (gal or liters/day)  - a constant inflow which
                   can be used to represent industrial waste flows

             (ii)  Population - number of persons occupying facilities incident
                   upon this conduit

             (iii) Flow per capita (gal or liters/day) - Average waste flow rates.  Use
                   peaking factors (Sections 2.3, 2.4) to model maximum waste flow rates.

             (iv)  Upstream pipes (miles or kilometers)  - length of conduit
                   emptying into the upstream manhole but not explicitly included in the
                   model.  The infiltration rate for the conduit will be applied to this
                   value.

             (v)   Infiltration rate (gal or liters/day/mile or km.)

             (vi)  Pump operating capacity (gal or liters/day)  - For any conduit,
                   the operating capacity of a pumping station at the upstream end of a
                   conduit may be specified.  This number represents the flow which the
                   pumping produces when operating.  (Generally, pumping stations
                   operate only when the level of its associated wet well exceeds a set
                   value.)  Specifying a positive operating capacity for any conduit

                       (1)  designates the conduit as a force main

                       (2)  fixes the capacity of the force main to the value

                       (3)  sets the flow leaving the force main to this value,
                       regardless of the flow entering the upstream end (wet well).
                       Thus to evaluate system flows when the pump station is idle (and
                       all flow is being stored in the wet well), set the capacity to a
                       small positive value.

                       (4) prevents consideration of population upstream from the force main
                       in determining flows in conduits downstream from the force main.  The
                       flow out of the force main is like an inflow constant into the
                       downstream manhole of the force main.

                       (5) does not affect any calculations upstream from the wet well

                  Side calculations are necessary to size the force main and its associated
                  pumps and wet well.


                                               2-3


              When skeletonized networks are analyzed using FLUSH, waste flows from

         unmodelled conduits can be included either as inflow constants or as increased

         population values for included conduits.



         2.3 Analysis Options

              FLUSH has three analysis options, which differ in the calculation of flows

         entering gravity conduits:

              (i) Average dry weather.  The flow into each conduit equals

                            [INFLC(I) + POP(I) x FPC(I)] + F

                  where  INFLC(I) = inflow constant for conduit I
                         POP(I) = Population for conduit I
                         FPC(I) = Flow per capita for conduit I
                         F = The sum of capacities of upstream force mains
                             whose flow reaches the conduit without passing
                             through other force mains

                  The summation is over the conduit and upstream gravity conduits whose
                  flow reaches the conduit without passing through a force main.  The
                  definition of F and of this summation limits the downstream
                  contribution of flow from any force main to be the capacity of the
                  force main.

              (ii) Maximum dry weather.  The flow into each conduit equals:

                            INFLC(I) + PEAK x  [POP(I) x FPC(I)] + F

                  where PEAK = a peaking factor for the conduit (c.f., Section 2.4)
                        and the other symbols and summations are as already defined.

              (iii) Maximum wet weather.  The flow into each conduit equals the maximum
                  dry weather flow plus infiltration calculated as

                            [GALMI(I) x [LEN(I) + UPP(I)]]

                  where   LEN(I) = length of conduit I
                          UPP(I) = length of upstream pipes from conduit I not
                                   explicitly included
                          GALMI(I) = infiltration rate for conduit I








                                           2-4


             2.4 Peaking Factors


                  Peaking factors depend on the incident population for the conduit (i.e.,

             the sum of directly incident population plus all upstream population whose flow

             does not pass through a force main).  Peaking factors may be expressed either

             as points along a population versus peaking factor curve (Figure 2), or by

             specifying the six coefficients (a through f) of the equation


                                                a + bPc
                               Peaking Factor = 
                                                d + ePf

                      where P is the incident population in thousands

             Peaking factors are applied only to population based flows and not to

             infiltration flows, inflow constants, or force main flows.




             2.5 Redesign Criteria


                  The user may select one of two redesign criteria for gravity conduits:

             percent of maximum flow, or percent of full flow depth.  (In addition,

             different values can be applied to different diameters for circular pipe.)  If,

             during the analysis, the flow in a gravity conduit violates the designated

             criterion, the cross section dimension(s)  is (are) incrementally increased by

             five percent until the violation is eliminated.  The capacity and flow velocity

             of conduits are included in the analysis results.  (The capacity of force mains

             is the indicated pump capacity.)   When using the percent of full flow depth

             criterion, FLUSH redesigns a conduit whenever the flow exceeds the gravity flow

             full capacity.






                                               2-5


         Figure 2






                             .
                             .
                             .
                             .     x
                  Peaking    .
                  Factor     .        x
                             .
                             .                  x
                             .                                x
                             .
                             .
                             .
                             .
                             .
                             ........................................

                                         Population


                                Figure 2  Population - Peaking Factor Curve




























                                           2-6


                  In analyzing a sewer network, when FLUSH finds any conduit whose flow

             violates the redesign criteria, FLUSH repeatedly increases the conduit's

             original cross section dimensions in five percent increments, until the flow

             evaluation criteria is not violated for the resulting conduit.





             2.6 Manning Equation


                  All calculations for gravity flow conduits are based on the Manning

             formula:

                                             0.667  0.5
                                  V = 1_._4_8_6_ R      S
                                        n

                  where   V = velocity (ft/sec)
                          R = hydraulic radius (ft)
                          S = conduit slope
                          n = Manning resistance factor

                  FLUSH calculates flows by multiplying both sides of this equation by the

             flow area.  FLUSH performs all internal calculations in English units, by

             making the proper conversions from input and to output units.






















                                               2-7


             3  DATA PREPARATION  FOR FLUSH


                  The input data for FLUSH must initially be prepared on a disk file.

             Figure 3 depicts the configuration of the sample system to be used for the

             example throughout this manual.  Table 1 lists the input data for this system.

             Figure 4 displays the prepared data for this.  Unless stated otherwise,

             consecutive inputs on any line of the input file can be separated by one or

             more spaces.  Use extra spaces to enhance readability.




             3.1 Header, Title, Units and Slope/Invert Designation


                  The first line of the input data file must contain only the five

             characters FLUSH.


                  The second line must contain the title of the data set, which will appear

             on all printed output.


                  The next line, the units line, must have a 1 or 2 in each of the first

             five columns, to designate the units of input and output:

               1st digit:  Invert elevations  (1=feet, 2=meters)

               2nd digit:  Pipe lengths   (1=feet, 2=meters)
                           Velocities   (1=fps, 2=m/sec)

                           Infiltration rate
                             (1=x/mile, 2=x/km; where the 4th digit determines x)

                           Length of upstream pipes not explicitly included (1=mi, 2=km)

               3rd digit:  Conduit cross-section dimensions (1=inches, 2=centimeters)

               4th digit:  All inflow and infiltration input (1=gal/day, 2=liters/day)

               5th digit:  All calculated flows and capacities (1=cfs, 2=liters/sec)





                                               3-1


          Figure 3






                  Figure 3  Sample System Configuration



                     (Can't do this in text, but you should be easily able
                        to reconstruct this from the information in Table 1)










































                                           3-2


                               Table 1  Input Data for Sample Problem


             P_h_y_s_i_c_a_l_ D_e_s_c_r_i_p_t_i_o_n_
                                                                                 X Sec
             Upstr.  Dnstr.  Sub-   Inv. Elevations  Manning  Length   X Sec   Dimensions
              Node    Node  system   Upstr.  Dnstr.  Coeff.    (Ft.)   Shape     (in.)
               A-4     A-2    1       100     98      .012     500      RECT     10 10
               A-5     A-2    1       100     98      .012     500      CIRC     10
               A-2     A-1    1        98     96      .O12     500      OBLO     10 10
               A-6     A-3    1       100     98      .012     500      CIRC     10
               A-7     A-3    1       100     98      .012     500      CIRC     10
               A-3     A-1    1        98     96      .012     500      CIRC     10
               B-4     B-2    2       100     98      .013     500      TRAP     10 10 10
               B-5     B-2    2       100     98      .013     500      CIRC     10
               B-2     B-1    2        98     96      .O13     500      HORS     10 10
               B-6     B-3    2       100     98      .013     500      CIRC     10
               B-7     B-3    2       100     98      .013     500      CIRC     10
               B-3     B-1    2        98     96      .013     500      TRIA     10

                   Note: The three X Sec dimensions correspond to the RISE,
                         SPAN and BOT in Figure 1 respectively.

             F_l_o_w_ I_n_f_o_r_m_a_t_i_o_n_

                              Inflow               Per Capita   Upstream  Infiltr.    Pump
             Upstr.  Dnstr.  Constant     Popul.     Flow        Pipes   (gal/day  Capacity
              Node    Node   (gal/day)  (Persons)  (gal/day)    (miles)    /mi)    (gal/day)
               A-4     A-2    400000         0        150         0.0      10000       0
               A-5     A-2      5000         0        150         0.0      10000       0
               A-2     A-1    400000         0        150         0.0      10000       0
               A-6     A-3      6000      1000        150         0.0      10000       0
               A-7     A-3         0      1000        150         0.0      10000       0
               A-3     A-1      3000      3000        150         0.0      10000       0
               B-4     B-2    400000         0        125         1.0      50000       0
               B-5     B-2      5000         0        125         1.0      50000       0
               B-2     B-1    400000         0        125         0.0      50000       0
               B-6     B-3      6000      2000        125         0.0      50000       0
               B-7     B-3      7000      2000        125         0.0      50000       0
               B-3     B-1      3000       300        125         0.0      50000       0


             Redesign Criteria:
                For existing conduits
                  .7 full flow depth if 1st cross section dimension < 10"
                  .8 full flow depth if 1st cross section dimension at least 10"
                For redesigned conduits
                  .8 full flow depth

             Points on peaking factor curve
               Peaking factor:    3.0    2.5    2.2    2.0
                   Population:      0   2000  10000  20000



                                               3-3








                      FLUSH SAMPLE PROBLEM: ALL PIPE SHAPES DEMONSTRATED
                      11111
                      INFI 1 0 2 10000
                      MANN 1 .012
                      FLPC  2 125
                      PEAK 3.0  2.5   2.2    2.0
                      POPU   0 2000 10000  20000
                      FDEPTH OLD .75 10 .8
                      FDEPTH NEW .8
                      SUBSYSTEM 1
                      A-4 A-2 100.00 98.00 RECT 10 10 .0130 500
                      400000 0 150. 0. 10000 0
                      A-5 A-2 100.00 98.00 CIRC 10 .0130 500
                      5000 0 150. 0. 10000 0
                      A-2 A-1 98.00 96.00 OBLO 10 10 .0130 500
                      400000 0 150. 0. 10000 0
                      A-6 A-3 100.00 98.00 CIRC 10 .0130 500
                      6000 1000 150. 0. 10000 0
                      A-7 A-3 100. 00 98.00 CIRC 10 .0130 500
                      0 1000 150. 0. 10000 0
                      A-3 A-1 98.00 96.00 CIRC 15 .0130 500
                      3000 3000 150. 0. 10000 0
                      SUBSYSTEM 2
                      B-4 B-2 100. 00 98.00 TRAP 10 10 10 .0130 500
                      400000 0 125.1. 50000 0
                      B-5 B-2 100.00 98.00 CIRC 10 .0130 500
                      5000 0 125.1. 50000 0
                      B-2 B-1 98.00 96.00 HORS 10 10 .0130 500
                      400000 0 125. 0. 50000 0
                      B-6 B-3 100.00 98.00 CIRC 10 .0130 500
                      6000 2000 125. 0. 50000 0
                      B-7 B-3 100.00 98.00 CIRC 10 .0130 500
                      7000 2000 125. 0. 50000 0
                      B-3 B-1 98.00 96.00 TRIA 10 10 .0130 500
                      3000 300 125. 0. 50000 0


                      Figure 4  Input Data File for Sample File











                                           3-4


                  If not told otherwise, FLUSH assumes that invert elevations, rather than

             slopes, will be designated for each conduit.  To specify slopes rather than

             inverts, insert a line with the word SLOPE at this point.



             3.2 Subsystem defaults


                  Next comes zero or more default lines, which permit the entering of

             subsystem default values for (i) Manning coefficients, (ii) flow per capita

             and/or (iii) infiltration rates.  The first entry on each line is one of MANN,

             FLPC or INFI, to indicate for which of these three items the line gives

             subsystem default values.  The rest of the line contains pairs of numbers: the

             first number of each pair is an integer designating the subsystem number, while

             the second number of each pair is the default value.  Two examples:

                  MANN  1 .013  2 .014
                      Designates a Manning value of .013 for subsystem 1 and .014 for
                      subsystem 2.  Each subsystem may represent conduits of different ages
                      or materials.   Manning values assigned to specific pipes override the
                      subsystem default.

                  FLPC  1 125  3 150
                      Designates a flow per capita of 125 for subsystem 1 or 150 for
                      subsystem 3.

                  FLUSH uses the following default values for a subsystem's defaults, if not

             otherwise specified:  .013 for Manning factor, 150 for flow per capita and 0

             for infiltration rate.  The infiltration rate for force mains is always

             defaulted to zero.













                                               3-5


         3.3 Peaking factors


              Next, the peaking factors may be specified by either

         (i) Two cards of the form

                  PEAK  a1 a2 a3 a4 a5 a6 a7
                  POPULATION b1 b2 b3 b4 b5 b6 b7

             where the (ai,bi) are points along a curve relating peaking factor and
             population (Figure 1).  FLUSH interpolates between the given points.  The
             points should be entered such that b1 is zero.

         (ii) One card of the form

                  PEAK EQUA a b c d e f

              where a-f are the coefficients of the equation

                                            a + bPc
                           Peaking Factor = ---------
                                            d + ePf

              and P is the incident population in thousands


         3.4 Redesign Criteria


              The default redesign criteria is .8 of full flow capacity, i.e., any

         existing conduit whose flow exceeds this will have its cross section dimensions

         increased until this condition is satisfied.


              One or two lines, with the following entries may be used change the

         default:

         (i)   The first entry on each line designates the redesign criteria with either
                  FCAPAC  for fraction of full flow capacity, or
                  FDEPTH  for fraction of full flow depth

         (ii)  The second entry on each card is optional and is either
                  OLD  to designate the redesign criteria for existing conduits, or
                  NEW  to designate the criteria which redesigned conduits must meet
               If neither is given, the criteria given applies to both existing and
               redesigned conduits.





                                           3-6


             (iii) One or more pairs of numbers, the first number of each pair being a
                   fraction between .3 and 1.0, and the second number equal the conduit
                   cross section dimension below which the fraction applies.  Omit the cross
                   section dimension for a fraction which applies to all larger conduits.


                  Examples:

             FDEPTH OLD .8
             FCAPAC NEW .6 10 .8
                  Any existing conduit whose flow exceeds .8 of full flow depth will be
                  redesigned.  Any redesigned conduit less than 10" cannot have its flow
                  more than .6 its full flow capacity.  Redesigned conduits greater than 10"
                  can have flow up to .8 their full flow capacity.

             FCAPAC .8
                  Existing and redesigned conduits can have flow up to .8 the full flow
                  capacity.  This is the default.




             3.5 Conduit Descriptions


                  Either of two lines designate the start of the conduit descriptions:

             (i)  A line containing only CONDUIT

             (ii) A line containing SUBSYSTEM followed by a number between 1 and 20.  All
                  conduits which follow this line are assigned to this subsystem.  Another
                  SUBSYSTEM line changes the assigned subsystem.

             If the CONDUIT card is used, FLUSH uses subsystem number 1 until encountering a

             SUBSYSTEM card.


                  The lines describing the conduits of the system follow the CONDUIT or

             first SUBSYSTEM line.  Each conduit requires two lines:  the first contains

             the physical description of the conduit; the second describes the entering

             flows.  The units card (3rd card of input file) determines the units used.










                                               3-7


              The physical description card contains the following inputs.

         (i)   Upstream and downstream manhole names

         (ii)  Upstream and downstream invert elevations (if SLOPE card not used), or
               Slope (if slope card used)

         (iii) Designation of the cross-section type with one of

                    CIRC    Circular conduit
                    RECT    Rectangular
                    OBLO    Oblong
                    TRAP    Trapezoidal
                    TRIA    Triangular
                    HORS    Horseshoe

               This may be omitted for circular conduits.

         (iv)  Up to three dimensions the cross-section indicated.  (If no cross-section
               was indicated, FLUSH assumes CIRC and expects a single cross-section
               dimension for the diameter.)

         (v)   Manning's coefficient for the conduit.  (If omitted, default value for
               subsystem used.)

         (vi)  Length (Required to calculate slope if invert elevations, rather than
               slope given.  If slopes given, may be omitted.)

         Any conduit whose downstream invert elevation exceeds the upstream invert

         elevation, or which has a non-zero pump  capacity (see next paragraph), is

         considered  a force main.  Force mains require only items (i) through (iv).



               The second line for each conduit contains the flow data:

         (i)   Inflow constant (gal or liters/day)

         (ii)  Population (persons)

         (iii) Flow/capita (gal or liters/day)

         (iv)  Upstream pipes (miles or kilometers)

         (v)   Infiltration rate (gal or liters/day/mile or km)

         (iv)  Pump capacity (gal or liters/day)

         You must use a zero as a place holder for values not specified.  For zero

         values of the flow/capita or infiltration rate, FLSUH uses the corresponding


                                           3-8


             subsystem default value (except that the infiltration rate for a force main is

             always taken as zero).  For force mains, the pump capacity is required.  As

             noted above, FLUSH processes any conduit with a non-zero pump capacity or

             negative slope as a force main.



             Refer to Figure 3 and Table 1 for examples.




             3.6  Creating and Updating a Data File


                   The input data file created and entered with a word or text processor,

             but be sure to save the created file as a text or ASCII file.


                  Input data files may be modified either by using interactive commands

             described in the next chapter (and saving the revised file with the STORE

             command), or by using a text or word processor.



























                                               3-9



         ----------------end-of-author's-documentation---------------

                        Software Library Information:

                   This disk copy provided as a service of

                        The Public (Software) Library

         Disks in the P(s)L are updated monthly, so if you did not get
         this disk  directly from the P(s)L,  you should be aware that
         the files in this set may no longer be the current versions.
         For a copy of the latest monthly software library newsletter
         and a list of the 800+ disks in the library, call or write

                        The Public (Software) Library
                              P.O.Box 35705 - F
                           Houston, TX 77235-5705
                      (713) 721-6104 or (713) 721-5205

         We are not the authors of this program, nor are we associated
         with the author in any way other than as a distributor of the
         program in accordance with the author's terms of distribution.

         Please direct shareware payments and specific questions about
         this program to the author of the program, whose name appears
         elsewhere in  this documentation. If you have trouble getting
         in touch with the author,  we will do whatever we can to help
         you with your questions. All programs have been tested and do
         run.  To report problems,  please use the form that is in the
         file PROBLEM.DOC on many of our disks or in other written for-
         mat with screen printouts, if possible.

